<?php

use Goutte\Client;

class DashboardTest extends PHPUnit_Framework_TestCase
{
    /**
     * @group all
     * @group cp
     */
    public function setUp()
    {
        $this->client = new Client();
        $this->client->followRedirects(true);
    }

    public function tearDown()
    {
        unset($this->client);
    }
   
    /**
     * Given a fresh Pyro install
     * When a user provides valid db auth credentials
     * Then the install should authenticate that db user and continue
     */
    public function testLogin()
    {
        $this->assertTrue(true);
        return;
        
        // Check that loading root redirects to installer
        $crawler = $this->client->request('GET', 'http://'.PYRO_WEB_HOST);
        $this->assertEquals($crawler->filter('title')->text(), 'Login');

        // Try submitting crappy details
        $form = $crawler->filter('#next_step')->form();
        $crawler = $this->client->submit($form, array(
            'http_server' => 'apache_wo',
            'db_driver' => 'mysql',
            'hostname'  => PYRO_DB_HOST,
            'port'      => PYRO_DB_PORT,
            'username'  => PYRO_DB_USER,
            'password'  => PYRO_DB_PASS,
            'database'  => PYRO_DB_NAME,
            'create_db' => PYRO_DB_CREATE === "1",
        ));

        // If there is an error, show it and fail. There should be 0 errors
        $errorNode = $crawler->filter('.error');
        $this->assertEquals(0, count($errorNode), count($errorNode) ? $errorNode->text() : '');

        // Made it past Step 3 and onto Step 4
        $this->assertContains('Step 4:', $crawler->filter('.title h3')->text());

        // Keep on trucking, lets finish this!
        $form = $crawler->filter('#next_step')->form();

        // submit user forms
        $crawler = $this->client->submit($form, array(
            'user_username'   => 'admin',
            'user_firstname'  => 'Pyro',
            'user_lastname'   => 'Admin',
            'user_email'      => 'admin@admin.com',
            'user_password'   => 'administrator',
        ));

        $this->assertContains('Congratulations', $crawler->html());
    }
}
